DataInputControllerUpdateDataStorageRecord Method |
PUT /DataInput/DataStorageRecord/{id}
Updates a data storage record.
Namespace:
Dundas.BI.WebApi.Controllers
Assembly:
Dundas.BI.WebApi (in Dundas.BI.WebApi.dll) Version: 2.0.0.0 (10.0.0.1002)
Syntax[HttpPutAttribute]
[ActionNameAttribute("DataStorageRecord")]
public IActionResult UpdateDataStorageRecord(
Guid id,
[FromBodyAttribute] DataStorageUpdateRecordOptions options,
Guid? sessionId = null
)<HttpPutAttribute>
<ActionNameAttribute("DataStorageRecord")>
Public Function UpdateDataStorageRecord (
id As Guid,
<FromBodyAttribute> options As DataStorageUpdateRecordOptions,
Optional sessionId As Guid? = Nothing
) As IActionResultpublic:
[HttpPutAttribute]
[ActionNameAttribute(L"DataStorageRecord")]
IActionResult^ UpdateDataStorageRecord(
Guid id,
[FromBodyAttribute] DataStorageUpdateRecordOptions^ options,
Nullable<Guid> sessionId = nullptr
)
[<HttpPutAttribute>]
[<ActionNameAttribute("DataStorageRecord")>]
member UpdateDataStorageRecord :
id : Guid *
[<FromBodyAttribute>] options : DataStorageUpdateRecordOptions *
?sessionId : Nullable<Guid>
(* Defaults:
let _sessionId = defaultArg sessionId null
*)
-> IActionResult
Parameters
- id
- Type: SystemGuid
The ID of the record to update. - options
- Type: Dundas.BI.WebApi.ModelsDataStorageUpdateRecordOptions
The data to be provided for updating of the storage record. - sessionId (Optional)
- Type: SystemNullableGuid
Current session ID.
Return Value
Type:
IActionResult
A status code indicating success or the reason for failure.
See Also